JUCE: WebBrowserComponent::Options::WinWebView2 Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WebBrowserComponent::Options::WinWebView2 Class Reference
juce_gui_extra » misc

Options specific to the WebView2 backend. More...

`#include <juce_WebBrowserComponent.h>`

## Public Member Functions
WinWebView2 | withDLLLocation (const File &location) const
| Sets a custom location for the WebView2Loader.dll that is not a part of the standard system DLL search paths.
WinWebView2 | withUserDataFolder (const File &folder) const
| Sets a non-default location for storing user data for the browser instance.
WinWebView2 | withStatusBarDisabled () const
| If this is set, the status bar usually displayed in the lower-left of the webview will be disabled.
WinWebView2 | withBuiltInErrorPageDisabled () const
| If this is set, a blank page will be displayed on error instead of the default built-in error page.
WinWebView2 | withBackgroundColour (const Colour &colour) const
| Sets the background colour that WebView2 renders underneath all web content.
File | getDLLLocation () const
File | getUserDataFolder () const
bool | getIsStatusBarDisabled () const noexcept
bool | getIsBuiltInErrorPageDisabled () const noexcept
Colour | getBackgroundColour () const

## Detailed Description

Options specific to the WebView2 backend.

These options will be ignored if another backend is used.

## Member Function Documentation

## ◆ withDLLLocation()

WinWebView2 WebBrowserComponent::Options::WinWebView2::withDLLLocation | ( | const File & | location | ) | const

Sets a custom location for the WebView2Loader.dll that is not a part of the standard system DLL search paths.

References withMember().

## ◆ withUserDataFolder()

WinWebView2 WebBrowserComponent::Options::WinWebView2::withUserDataFolder | ( | const File & | folder | ) | const

Sets a non-default location for storing user data for the browser instance.

References withMember().

## ◆ withStatusBarDisabled()

WinWebView2 WebBrowserComponent::Options::WinWebView2::withStatusBarDisabled | ( |  | ) | const

If this is set, the status bar usually displayed in the lower-left of the webview will be disabled.

References withMember().

## ◆ withBuiltInErrorPageDisabled()

WinWebView2 WebBrowserComponent::Options::WinWebView2::withBuiltInErrorPageDisabled | ( |  | ) | const

If this is set, a blank page will be displayed on error instead of the default built-in error page.

References withMember().

## ◆ withBackgroundColour()

WinWebView2 WebBrowserComponent::Options::WinWebView2::withBackgroundColour | ( | const Colour & | colour | ) | const

Sets the background colour that WebView2 renders underneath all web content.

This colour must either be fully opaque or transparent. On Windows 7 this colour must be opaque.

References Colour::isOpaque(), Colour::isTransparent(), jassert, and withMember().

## ◆ getDLLLocation()

File WebBrowserComponent::Options::WinWebView2::getDLLLocation | ( |  | ) | const

## ◆ getUserDataFolder()

File WebBrowserComponent::Options::WinWebView2::getUserDataFolder | ( |  | ) | const

## ◆ getIsStatusBarDisabled()

bool WebBrowserComponent::Options::WinWebView2::getIsStatusBarDisabled | ( |  | ) | const
| noexcept

## ◆ getIsBuiltInErrorPageDisabled()

bool WebBrowserComponent::Options::WinWebView2::getIsBuiltInErrorPageDisabled | ( |  | ) | const
| noexcept

## ◆ getBackgroundColour()

Colour WebBrowserComponent::Options::WinWebView2::getBackgroundColour | ( |  | ) | const

The documentation for this class was generated from the following file:

- juce_WebBrowserComponent.h